// VCMFC_demoDlg.cpp : implementation file
//

#include "stdafx.h"
#include "VCMFC_demo.h"
#include "VCMFC_demoDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CVCMFC_demoDlg dialog

CVCMFC_demoDlg::CVCMFC_demoDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CVCMFC_demoDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CVCMFC_demoDlg)
	m_textout = _T("");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CVCMFC_demoDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CVCMFC_demoDlg)
	DDX_Text(pDX, IDC_EDIT1, m_textout);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CVCMFC_demoDlg, CDialog)
	//{{AFX_MSG_MAP(CVCMFC_demoDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_BUTTON1, OnButton1)
	ON_BN_CLICKED(IDC_BUTTON2, OnButton2)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CVCMFC_demoDlg message handlers

BOOL CVCMFC_demoDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here

	

	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CVCMFC_demoDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CVCMFC_demoDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CVCMFC_demoDlg::OnButton1() 
{
	HRESULT hresult;
	CLSID clsid;
	_bstr_t strRetVal;
	int Index;
	double valX, valY;

	CoInitialize(NULL);	//initialize COM library
	hresult=CLSIDFromProgID(OLESTR("absPDF_Creator"), &clsid);    //retrieve CLSID of component
			
	IabsPDF_Creator *Creator; 
	hresult=CoCreateInstance(clsid,NULL,CLSCTX_INPROC_SERVER,__uuidof(IabsPDF_Creator),(LPVOID *) &Creator);
	if(FAILED(hresult))
	{
		::MessageBox( 0, "Creation Failed", "Error", MB_OK );
		return;
	}

	//strRetVal = Creator->Unlock("Name", "MyCompany", "unlock_key");
	// uncomment and put your real activation key
	//::MessageBox( 0, strRetVal, "Error", MB_OK );

	_bstr_t bs1 = m_textout + ".pdf";

	strRetVal = Creator->StartPDF(bs1);
	//::MessageBox( 0, strRetVal, "Error", MB_OK );
	strRetVal = Creator->SetFont("courier", "", "");	
	//::MessageBox( 0, strRetVal, "Error", MB_OK );

	
	
	CStdioFile m_StdioIn;
	CString line;

	m_StdioIn.Open(m_textout,CFile::modeRead);


	Index = 66;
	valX = 2;
	valY = 2;

	_bstr_t bs2;
	_bstr_t bs3;
	_bstr_t bs4;

	CString strIndex;
	CString strValX;
	CString strValY;
	

 	while(m_StdioIn.ReadString(line)) 
	{
		if (Index > 65)
		{
            Index = 0;
            valY = 2;
            strRetVal = Creator->StartPage("A4", "PORTRAIT");
		}
	
		strValX.Format("%f", valX);
		strValY.Format("%f", valY);
		
		bs2 = line;
		bs3 = strValX;
		bs4 = strValY;

		strRetVal = Creator->AddText(bs2, bs3, bs4, "", ".35", "000000");

		valY += 0.3;
		Index += 1;
	}

	m_StdioIn.Close(); 	


	
	strRetVal = Creator->EndPDF();
	//::MessageBox( 0, strRetVal, "Error", MB_OK );

	
	CoUninitialize();  //Unintialize the COM library

	::MessageBox( 0, "Conversion completed", "Message", MB_OK );
}

void CVCMFC_demoDlg::OnButton2() 
{
	CFileDialog dlg(TRUE);

    if (dlg.DoModal() == IDOK)

    {

        CString temp = dlg.GetPathName();

		m_textout = temp;
		UpdateData(FALSE);
    }	
}
